# Planning Number Words

Before you start programming, do some planning here on how you will break down
this problem. Here's a hint: if you start by writing functions for smaller numbers, 
you will find that these functions help you with the larger numbers. For each of
the cases below, explain how you would turn a number into a string. Feel free to
write in sentences or in pseudocode (pseudocode is a sort of "casual programming"
where you're almost writing in code, being pretty specific without worrying about
syntax. For each case below, assume the integer is zero or more--don't worry about
negative integers.

## Integers under 10
(This one is done for you!)
For an integer less than ten, you need to know the name of each digit, and look it
up. You could use a big if/else statement like:

```
if number == 0:
    return "zero"
elif number == 1:
    return "one"
elif number == 1:
    return "two"
```

A cleaner way to do this would be to make a list of digit names, from zero to nine.
Then you could just look up a digit's name:

```
digit_names = [
    "zero", "one", "two", "three", "four", 
    "five", "six", "seven", "eight", "nine"
]
return digit_names[number]
```

## Integers under 20
If the integer is under 10, then use the procedure described above. 
Otherwise, ... (this is where you take over!)

under_20 = [
    "ten", "eleven", "twelve", "thirteen", "fourteen",
    "fifteen", "sixteen", "seventeen", "eighteen", "nineteen"
]

return under_20[number-10]

## Integers under 100
tens = [
    "twenty", "thirty", "fourty", "fifty", "sixty",
    "seventy", "eighty", "ninety"
]

return tens[tens_digit] + digit_names[ones_digit] # assuming 1's digit is > 0

## Integers under 1000

return digit_names[hundreds_digit] + " hundred " + tens[tens_digit] + digit_names[ones_digit]


## Integers under 1000000
return digit_names[thousands_digit] + " thousand " + digit_names[hundreds_digit] + " hundred " + tens[tens_digit] + digit_names[ones_digit]

## Negative integers down to -1 million
We won't deal with negative integers in this problem set, 
but how would you deal with a negative integer, using the 
functions above?

Convert number to string, check if first character is '-'
All of the digit indices will depend on the length of the str and whether str[0] is -

if number[0] == '-':
    return "negative " + digit_names[thousands_digit] + " thousand " + digit_names[hundreds_digit] + " hundred " + tens[tens_digit] + digit_names[ones_digit]
else:
    return digit_names[thousands_digit] + " thousand " + digit_names[hundreds_digit] + " hundred " + tens[tens_digit] + digit_names[ones_digit]


